# Serialized Form

## Package org.sonatype.plexus.components.sec.dispatcher

### Class org.sonatype.plexus.components.sec.dispatcher.PasswordDecryptorException extends Exception implements Serializable

### Class org.sonatype.plexus.components.sec.dispatcher.SecDispatcherException extends Exception implements Serializable

## Package org.sonatype.plexus.components.sec.dispatcher.model

### Class org.sonatype.plexus.components.sec.dispatcher.model.Config extends Object implements Serializable

### Serialized Fields

#### name

    String name

name of this configuration.

#### properties

    List<E> properties

Field properties.

### Class org.sonatype.plexus.components.sec.dispatcher.model.ConfigProperty extends Object implements Serializable

### Serialized Fields

#### name

    String name

name of this property.

#### value

    String value

value of this property.

### Class org.sonatype.plexus.components.sec.dispatcher.model.SettingsSecurity extends Object implements Serializable

### Serialized Fields

#### master

    String master

encrypted master password.

#### relocation

    String relocation

reference to the location of the security file.

#### configurations

    List<E> configurations

Field configurations.

#### modelEncoding

    String modelEncoding

Field modelEncoding.